import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

/**
 * @description: Bianyi3分页参数 模型
 */
export interface Bianyi3PageParams extends BasicPageParams {
  danXingWenBen7981: string;

  danXingWenBen1003: string;
}

/**
 * @description: Bianyi3分页返回值模型
 */
export interface Bianyi3PageModel {
  id: string;

  danXingWenBen7981: string;

  danXingWenBen1003: string;
}

0;

/**
 * @description: Bianyi3分页返回值结构
 */
export type Bianyi3PageResult = BasicFetchResult<Bianyi3PageModel>;