import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

/**
 * @description: XjrUser分页参数 模型
 */
export interface XjrUserPageParams extends BasicPageParams {
  userName: string;

  mobile: string;

  name: string;

  email: string;
}

/**
 * @description: XjrUser分页返回值模型
 */
export interface XjrUserPageModel {
  id: string;

  userName: string;

  mobile: string;

  name: string;

  email: string;
}

0;

/**
 * @description: XjrUser分页返回值结构
 */
export type XjrUserPageResult = BasicFetchResult<XjrUserPageModel>;
