import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

/**
 * @description: TeacherManager分页参数 模型
 */
export interface TeacherManagerPageParams extends BasicPageParams {
  xingMing9082: string;

  weiBoDiZhi8962: string;
}

/**
 * @description: TeacherManager分页返回值模型
 */
export interface TeacherManagerPageModel {
  id: string;

  xingMing9082: string;

  zengYongMing4463: string;

  zaiZhiZhuangTai8163: string;

  zhengJianHaoMa6089: string;

  shengRiLeiXing6179: string;

  xueXing4329: string;

  hunYinZhuangKuang8815: string;

  guoJiDiQu5745: string;

  huKouLeiBie8775: string;

  huJiDiZhi6404: string;

  laiXiaoShiJian7864: string;

  pinYongLeiXing3069: string;

  xingMingPinYin1216: string;

  yingWenMing9201: string;

  zhengJianLeiXing8329: string;

  chuShengRiQi3168: string;

  minZu5525: string;

  jianKangZhuangKuang2779: string;

  zhengZhiMianMao1313: string;

  gangAoTaiQiaoWai4658: string;

  shengShiQu7220: string;

  canJiaGongZuoShiJian6443: string;

  shiFuZaiBian6972: string;

  pinYongFangShi3920: string;

  gangWeiLeiXing4323: string;

  shouJiHao8575: string;

  banGongShiDiZhi7064: string;

  xianZhuZhi4112: string;

  weiXinHao8598: string;

  youBian7236: string;

  banGongShiHaoMa8053: string;

  youXiang5439: string;

  qqmsn2315: string;

  weiBoDiZhi8962: string;
}

0;

/**
 * @description: TeacherManager分页返回值结构
 */
export type TeacherManagerPageResult = BasicFetchResult<TeacherManagerPageModel>;