export interface BasicPageParams {
  limit: number;
  size: number;
  keyword?: string;
}

export interface BasicFetchResult<T> {
  list: T[];
  total: number;
}

export interface BasicOptionModel {
  label: string;
  value: string | number;
  year?: string;
}
