import { defHttp } from '/@/utils/http/axios';
import { ErrorMessageMode } from '/#/axios';

enum Api {
  PAGE = '/personnel/faceidentifyrecords/page',
}

export async function getFaceManagerPage(params: any, mode: ErrorMessageMode = 'modal') {
  return defHttp.get<any>(
    {
      url: Api.PAGE,
      params,
    },
    {
      errorMessageMode: mode,
    },
  );
}
