import { ErrorMessageMode, requestProps } from '/@/components/Form';
import { defHttp } from '/@/utils/http/axios';

export const httpRequest = async (request: requestProps, options?: any) => {
  const url = '/magic-api/' + request.requestUrl;
  return defHttp.desktopApi(url, request.requestType, options);
};

export const httpGet = async (url: string, mode: ErrorMessageMode = 'none') => {
  return defHttp.get<any>({ url: url }, { errorMessageMode: mode });
};
