export interface LedgerConfig {
  apiInfo: Recordable;
  tableFieldConfigs: TableFieldConfig[];
  columnConfigs: LedgerColumnConfigs[];
  serachConfigs: LedgerSerachConfigs[];
  buttonConfigs: LedgerButtonConfigs;
}

export interface LedgerColumnConfigs {
  key: string;
  field: string;
  label: string;
  autoWidth: boolean;
  width: number;
  sort: number;
}

export interface LedgerSerachConfigs {
  key: string;
  field: string;
  label: string;
  component: string;
  bindObject: string;
  bindValue: string;
  defaultValue: string;
  sort: number;
  apiInfo: Recordable;
}

export interface LedgerButtonConfigs {
  main: LedgerButtonItemConfigs[];
  item: LedgerButtonItemConfigs[];
}

export interface LedgerButtonItemConfigs {
  use: boolean;
  label: string;
  value: string;
  url: string;
}
