/**
 * 输出配置
 */
export interface OutputConfig {
  //创建人
  creator?: string;
  //功能类名（必须英文字母开头 首字母不能使用字符以及数字）
  className?: string;
  //描述 注释
  comment?: string;
  // 输出区域（数据字典显示）
  outputArea?: string;
  //只生成前端源码
  onlyFront?: boolean;
  //只生成接口
  onlyInterface?: boolean;
  //是否生成移动端
  isApp?: boolean;
  //是否需要生成菜单
  isMenu?: boolean;
  //备注
  remarks?: string;
  //是否开启数据权限
  isDataAuth?: boolean;
  //数据权限选择
  dataAuthList?: string[] | number[];
  //代码模板类型
  type?: number;
  //生成接口名需要
  outputValue?: string;
  //手机端代码功能类型
  funcType?: number;
  //手机端选择要转换的表单
  formObj?: {
    formId: string;
    formName?: string;
  };
  //手机端自定义表单是否开启生成代码功能
  createCode?: boolean;
}
