// @ts-ignore
/* eslint-disable */

// 该文件自动生成，请勿手动修改！
import { defHttp } from '/@/utils/http/axios';
import { ErrorMessageMode } from '/#/axios';
            // --------------------------------------------------------------------------
            // Menu Controller
            // --------------------------------------------------------------------------

            ;


            /** 新增菜单 POST /system/menu */
export async function postSystemMenu(params:API.AddMenuDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.post<any>
        ({url: '/system/menu', data:params},{errorMessageMode:mode});}
/** 修改菜单 PUT /system/menu */
export async function putSystemMenu(params:API.UpdateMenuDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/system/menu', data:params},{errorMessageMode:mode});}
/** 批量删除菜单 DELETE /system/menu */
export async function deleteSystemMenu(params:string[],mode: ErrorMessageMode = 'modal'){ return defHttp.delete<any>
        ({url: '/system/menu', data:params},{errorMessageMode:mode});}
/** 获取所有菜单（树结构） GET /system/menu/all-tree */
export async function getMenuAllTree(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/all-tree', params:params},{errorMessageMode:mode});}
/** 获取功能授权页面的菜单树结构 GET /system/menu/auth-tree */
export async function getMenuAuthTree(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/auth-tree', params:params},{errorMessageMode:mode});}
/** 根据id查询按钮 GET /system/menu/button */
export async function getMenuButton(params:string,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/button',params},{errorMessageMode:mode});}
/** 获取所有菜单（树结构，禁用父级） GET /system/menu/child-tree */
export async function getMenuChildTree(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/child-tree', params:params},{errorMessageMode:mode});}
/** 根据id查询菜单信息 GET /system/menu/info */
export async function getMenuInfo(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/info', params:params},{errorMessageMode:mode});}
/** 获取所有菜单（不分页） GET /system/menu/list */
export async function getMenuList(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/list', params:params},{errorMessageMode:mode});}
/** 获取菜单树结构, 不包含页面类型的菜单 GET /system/menu/parent-tree */
export async function getMenuParentTree(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/parent-tree', params:params},{errorMessageMode:mode});}
/** 用户快捷菜单 GET /system/menu/quick */
export async function getMenuQuick(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.MenuVo[]>
        ({url: '/system/menu/quick', params:params},{errorMessageMode:mode});}
/** 查询角色菜单服务 GET /system/menu/role-serve */
export async function getMenuRoleServe(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.MenuServeVo[]>
        ({url: '/system/menu/role-serve', params:params},{errorMessageMode:mode});}
/** 获取菜单服务 GET /system/menu/serve */
export async function getMenuServe(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.MenuServeVo[]>
        ({url: '/system/menu/serve', params:params},{errorMessageMode:mode});}
/** 获取所有菜单（树结构） GET /system/menu/simple-tree */
export async function getMenuSimpleTree(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/simple-tree', params:params},{errorMessageMode:mode});}
/** 获取所有菜单（树结构） GET /system/menu/tree */
export async function getMenuTree(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/tree', params:params},{errorMessageMode:mode});}
/** 验证菜单编码是否存在 GET /system/menu/validate-code */
export async function getMenuValidateCode(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/validate-code', params:params},{errorMessageMode:mode});}
/** 验证菜单路由是否存在 GET /system/menu/validate-url */
export async function getMenuValidateUrl(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/system/menu/validate-url', params:params},{errorMessageMode:mode});}
            