// @ts-ignore
/* eslint-disable */

// 该文件自动生成，请勿手动修改！
import { defHttp } from '/@/utils/http/axios';
import { ErrorMessageMode } from '/#/axios';
            // --------------------------------------------------------------------------
            // News Controller
            // --------------------------------------------------------------------------

            ;


            /** 获取新闻分页 GET /oa/news */
export async function getOaNews(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.PageOutput<API.NewsPageVo>>
        ({url: '/oa/news', params:params},{errorMessageMode:mode});}
/** 新增新闻 POST /oa/news */
export async function postOaNews(params:API.AddNewsDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.post<any>
        ({url: '/oa/news', data:params},{errorMessageMode:mode});}
/** 修改新闻 PUT /oa/news */
export async function putOaNews(params:API.UpdateNewsDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/oa/news', data:params},{errorMessageMode:mode});}
/** 删除新闻 DELETE /oa/news */
export async function deleteOaNews(params:string[],mode: ErrorMessageMode = 'modal'){ return defHttp.delete<any>
        ({url: '/oa/news', data:params},{errorMessageMode:mode});}
/** 发布或下架新闻 PUT /oa/news/change-status */
export async function putNewsChangeStatus(params:API.ChangeNewsDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/oa/news/change-status', data:params},{errorMessageMode:mode});}
/** 公告阅读权限统计 GET /oa/news/count-relation */
export async function getNewsCountRelation(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.Array>
        ({url: '/oa/news/count-relation', params:params},{errorMessageMode:mode});}
/** 未读类型统计 GET /oa/news/count-type */
export async function getNewsCountType(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.NewsCountTypeVo[]>
        ({url: '/oa/news/count-type', params:params},{errorMessageMode:mode});}
/** 删除新闻阅读权限 DELETE /oa/news/delete-relation */
export async function deleteNewsDeleteRelation(params:API.DeleteNewsRelationDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.delete<any>
        ({url: '/oa/news/delete-relation', data:params},{errorMessageMode:mode});}
/** 新闻详情 GET /oa/news/info */
export async function getNewsInfo(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.NewsVo>
        ({url: '/oa/news/info', params:params},{errorMessageMode:mode});}
/** 获取管理新闻分页 GET /oa/news/manage-box */
export async function getNewsManageBox(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.PageOutput<API.NewsPageVo>>
        ({url: '/oa/news/manage-box', params:params},{errorMessageMode:mode});}
/** 获取新闻阅读权限分页 GET /oa/news/page-relation */
export async function getNewsPageRelation(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.PageOutput<API.NewsRelationVo>>
        ({url: '/oa/news/page-relation', params:params},{errorMessageMode:mode});}
/** 获取新闻权限分页 GET /oa/news/page-relation-config */
export async function getNewsPageRelationConfig(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.PageOutput<API.NewsRelationConfigVo>>
        ({url: '/oa/news/page-relation-config', params:params},{errorMessageMode:mode});}
/** 读新闻 PUT /oa/news/read */
export async function putNewsRead(params:string[],mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/oa/news/read', data:params},{errorMessageMode:mode});}
/** 获取接受新闻分页 GET /oa/news/receipt-box */
export async function getNewsReceiptBox(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.PageOutput<API.NewsPageVo>>
        ({url: '/oa/news/receipt-box', params:params},{errorMessageMode:mode});}
/** 新闻回复 PUT /oa/news/reply */
export async function putNewsReply(params:API.NewsReplyDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/oa/news/reply', data:params},{errorMessageMode:mode});}
/** 发送消息 GET /oa/news/send-message */
export async function getNewsSendMessage(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/oa/news/send-message', params:params},{errorMessageMode:mode});}
/** 获取登录人未读消息数量 GET /oa/news/unread-count */
export async function getNewsUnreadCount(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/oa/news/unread-count', params:params},{errorMessageMode:mode});}
/** 设置新闻阅读权限 PUT /oa/news/update-relation */
export async function putNewsUpdateRelation(params:API.UpdateNewsRelationDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/oa/news/update-relation', data:params},{errorMessageMode:mode});}
            