// @ts-ignore
/* eslint-disable */

// 该文件自动生成，请勿手动修改！
import { defHttp } from '/@/utils/http/axios';
import { ErrorMessageMode } from '/#/axios';
            // --------------------------------------------------------------------------
            // User Controller
            // --------------------------------------------------------------------------

            ;


            /** 新增用户 POST /organization/user */
export async function postOrganizationUser(params:API.AddUserDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.post<any>
        ({url: '/organization/user', data:params},{errorMessageMode:mode});}
/** 修改用户 不能修改用户名 PUT /organization/user */
export async function putOrganizationUser(params:API.UpdateUserDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/organization/user', data:params},{errorMessageMode:mode});}
/** 删除用户(可批量) DELETE /organization/user */
export async function deleteOrganizationUser(params:string[],mode: ErrorMessageMode = 'modal'){ return defHttp.delete<any>
        ({url: '/organization/user', data:params},{errorMessageMode:mode});}
/** 绑定微信 Openid POST /organization/user/bind-openid */
export async function postUserBindOpenid(params:API.BindOpenidDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.post<any>
        ({url: '/organization/user/bind-openid', data:params},{errorMessageMode:mode});}
/** 绑定学生 POST /organization/user/bind-student */
export async function postUserBindStudent(params:API.UserStudentBindDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.post<any>
        ({url: '/organization/user/bind-student', data:params},{errorMessageMode:mode});}
/** 绑定微信 UnionId POST /organization/user/bind-unionid */
export async function postUserBindUnionid(params:API.BindOpenidDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.post<any>
        ({url: '/organization/user/bind-unionid', data:params},{errorMessageMode:mode});}
/** 当前登录用户信息 GET /organization/user/current/info */
export async function getCurrentInfo(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/organization/user/current/info', params:params},{errorMessageMode:mode});}
/** 启用/禁用用户 GET /organization/user/enabled */
export async function getUserEnabled(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/organization/user/enabled', params:params},{errorMessageMode:mode});}
/** 根据id查询用户信息 GET /organization/user/info */
export async function getUserInfo(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/organization/user/info', params:params},{errorMessageMode:mode});}
/** 批量获取用户信息 GET /organization/user/info/multi */
export async function getInfoMulti(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/organization/user/info/multi', params:params},{errorMessageMode:mode});}
/** 用户列表（不分页） GET /organization/user/list */
export async function getUserList(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/organization/user/list', params:params},{errorMessageMode:mode});}
/** 登录后修改密码 PUT /organization/user/login/reset-password */
export async function putLoginResetPassword(params:API.LoginResetPasswordDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/organization/user/login/reset-password', data:params},{errorMessageMode:mode});}
/** 用户列表（分页） GET /organization/user/page */
export async function getUserPage(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/organization/user/page', params:params},{errorMessageMode:mode});}
/** 当前待办数量统计 GET /organization/user/pending/count */
export async function getPendingCount(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<API.PendingCountDto>
        ({url: '/organization/user/pending/count', params:params},{errorMessageMode:mode});}
/** 家长注册 POST /organization/user/register */
export async function postUserRegister(params:API.RegisterDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.post<any>
        ({url: '/organization/user/register', data:params},{errorMessageMode:mode});}
/** 重置密码 PUT /organization/user/reset-password */
export async function putUserResetPassword(params:API.ResetPasswordDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/organization/user/reset-password', data:params},{errorMessageMode:mode});}
/** 获取绑定学生 GET /organization/user/student */
export async function getUserStudent(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/organization/user/student', params:params},{errorMessageMode:mode});}
/** 取消绑定微信 UnionId GET /organization/user/unbind-openid */
export async function getUserUnbindOpenid(params:any,mode: ErrorMessageMode = 'modal'){ return defHttp.get<any>
        ({url: '/organization/user/unbind-openid', params:params},{errorMessageMode:mode});}
/** 解绑学生 DELETE /organization/user/unbind-student */
export async function deleteUserUnbindStudent(params:API.UserStudentDeleteDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.delete<any>
        ({url: '/organization/user/unbind-student', data:params},{errorMessageMode:mode});}
/** 当前登录用户修改头像 POST /organization/user/update/avatar */
export async function postUpdateAvatar(mode: ErrorMessageMode = 'modal'){ return defHttp.post<any>
        ({url: '/organization/user/update/avatar', data:{}},{errorMessageMode:mode});}
/** 登陆人修改自己得用户信息 PUT /organization/user/update/info */
export async function putUpdateInfo(params:API.UpdateInfoDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/organization/user/update/info', data:params},{errorMessageMode:mode});}
/** 当前登录用户修改本人密码 PUT /organization/user/update/password */
export async function putUpdatePassword(params:API.UpdatePasswordDto
,mode: ErrorMessageMode = 'modal'){ return defHttp.put<any>
        ({url: '/organization/user/update/password', data:params},{errorMessageMode:mode});}
            