import { FormSchema } from '/@/components/Form';
import { getClassOption } from '/@/api/userMagic';

export const searchFormScheme: FormSchema[] = [
  {
    field: 'classId',
    label: '班级',
    component: 'ApiSelect',
    componentProps: () => {
      return {
        api: getClassOption,
        showSearch: true,
        optionFilterProp: 'label',
      };
    },
    colProps: { span: 24 },
  },
];
