import { BasicColumn, FormSchema } from '/@/components/Table';

export const tableColumns: BasicColumn[] = [
  {
    title: '台账名称',
    dataIndex: 'name',
    align: 'left',
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    align: 'left',
    width: 120,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '台账名称',
    component: 'Input',
    colProps: { span: 8 },
  },
];
