import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

/**
 * @description: Bainy4分页参数 模型
 */
export interface Bainy4PageParams extends BasicPageParams {
  danXingWenBen7251: string;

  duoXingWenBen6034: string;
}

/**
 * @description: Bainy4分页返回值模型
 */
export interface Bainy4PageModel {
  id: string;

  danXingWenBen7251: string;

  duoXingWenBen6034: string;
}

0;

/**
 * @description: Bainy4分页返回值结构
 */
export type Bainy4PageResult = BasicFetchResult<Bainy4PageModel>;