import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

/**
 * @description: Bainyi2分页参数 模型
 */
export interface Bainyi2PageParams extends BasicPageParams {
  danXingWenBen1873: string;

  danXingWenBen9848: string;
}

/**
 * @description: Bainyi2分页返回值模型
 */
export interface Bainyi2PageModel {
  id: string;

  danXingWenBen1873: string;

  danXingWenBen9848: string;
}

0;

/**
 * @description: Bainyi2分页返回值结构
 */
export type Bainyi2PageResult = BasicFetchResult<Bainyi2PageModel>;