import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

/**
 * @description: TestBianyi分页参数 模型
 */
export interface TestBianyiPageParams extends BasicPageParams {
  fB: string;

  fC: string;
}

/**
 * @description: TestBianyi分页返回值模型
 */
export interface TestBianyiPageModel {
  undefined: string;

  fB: string;

  fC: string;
}

/**
 * @description: TestBianyi表类型
 */
export interface TestBianyiModel {
  fA: string;

  fB: string;

  fC: string;
}

/**
 * @description: TestBianyi分页返回值结构
 */
export type TestBianyiPageResult = BasicFetchResult<TestBianyiPageModel>;