import { defHttp } from '/@/utils/http/axios';

import { ErrorMessageMode } from '/#/axios';

/**
 * @description: 请求magicApi
 */
export const requestMagicApi = (
  { headers, query, body, method, url },
  mode: ErrorMessageMode = 'modal',
) => {
  return defHttp.get(
    {
      url: '/magic-api/' + url,
      headers,
      params: query,
      data: body,
      method,
    },
    {
      errorMessageMode: mode,
    },
  );
};
