import { defHttp } from '/@/utils/http/axios';
import { ErrorMessageMode } from '/#/axios';
import { TaskTypeUrl } from '/@/enums/workflowEnum';

export async function getNotTodoList(mode: ErrorMessageMode = 'modal') {
  return defHttp.get(
    { url: TaskTypeUrl.PENDING_TASKS },
    {
      errorMessageMode: mode,
    },
  );
}

export async function getDoneList(mode: ErrorMessageMode = 'modal') {
  return defHttp.get(
    { url: TaskTypeUrl.FINISHED_TASKS },
    {
      errorMessageMode: mode,
    },
  );
}
