import test from 'node:test';
import { BasicColumn } from '/@/components/Table';

export const type = {
  0: '菜单',
  1: '目录',
};
export const TableColumns: BasicColumn[] = [
  {
    title: '工号',
    dataIndex: 'userNumber',
  },
  {
    title: '姓名',
    dataIndex: 'name',
  },
  {
    title: '性别',
    dataIndex: 'gender',
  },
  {
    title: '身份证号',
    dataIndex: 'credentialNumber',
  },

  {
    title: '出生日期',
    dataIndex: 'dateBirth',
    customRender: ({ text }) => {
      return text ? text.slice(0, 10) : '';
    },
  },
  {
    title: '年龄',
    dataIndex: 'age',
  },
  {
    title: '值周情况',
    dataIndex: 'remark',
  },
];
