import { BasicColumn, FormSchema } from '/@/components/Table';

export const tableColumns: BasicColumn[] = [
  {
    title: '表单属性',
    dataIndex: 'name',
    align: 'center',
    width: 400,
  },
  {
    title: '对应',
    dataIndex: 'formula',
    align: 'left',
  },
];

export const formSchema: FormSchema[] = [
  {
    label: '表单属性',
    field: 'name',
    component: 'Input',
    colProps: { span: 24 },
  },
  {
    label: '对应',
    field: 'formula',
    component: 'Input',
    colProps: { span: 24 },
  },
];
