import { BasicColumn, FormSchema } from '/@/components/Table';

export const tableColumns: BasicColumn[] = [
  {
    title: '规则名称',
    dataIndex: 'name',
    align: 'center',
    width: 300,
  },
  {
    title: '公式',
    dataIndex: 'formula',
    align: 'left',
  },
  {
    title: '指标',
    dataIndex: 'bindQuota',
    align: 'left',
  },
];

export const formSchema: FormSchema[] = [
  {
    label: '规则名称',
    field: 'name',
    component: 'Input',
    colProps: { span: 24 },
  },
  {
    label: '公式',
    field: 'formula',
    component: 'Input',
    colProps: { span: 24 },
  },
  {
    label: '指标',
    field: 'bindQuota',
    colProps: { span: 24 },
    component: 'Input',
  },
];
