import { BasicColumn, FormSchema } from '/@/components/Table';

export const tableColumns: BasicColumn[] = [
  {
    title: '考核项目',
    dataIndex: 'name',
    align: 'left',
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '考核项目',
    component: 'Input',
    colProps: { span: 8 },
  },
];

export const formSchema: FormSchema[] = [
  {
    label: '考核项目',
    field: 'name',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
];
