import { BasicColumn } from '/@/components/Table';

export const TableColumns: BasicColumn[] = [
  {
    title: '公文名称',
    dataIndex: 'name',
  },
  {
    title: '发文说明',
    dataIndex: 'remark',
  },
  {
    title: '发文字号',
    dataIndex: 'number',
  },
  {
    title: '发文部门',
    dataIndex: 'orgName',
  },
  {
    title: '发文单位意见',
    dataIndex: 'institution',
  },
  {
    title: '会办单位意见',
    dataIndex: 'backOpinion',
  },

  {
    title: '印发日期',
    dataIndex: 'dateOfIssue',
  },
  {
    title: '紧急程度',
    dataIndex: 'urgency',
  },
  {
    title: '保密期限',
    dataIndex: 'confidentialityPeriod',
  },
  {
    title: '主题词',
    dataIndex: 'tags',
  },
  {
    title: '打印份数',
    dataIndex: 'printNumber',
  },
  {
    title: '操作',
    dataIndex: 'action',
    slots: { customRender: 'action' },
  },
];
export const Eumns = {
  name: '公文名称',
  remark: '发文说明',
  number: '发文字号',
  orgName: '发文部门',
  institution: '发文单位意见',
  backOpinion: '会办单位意见',
  dateOfIssue: '印发日期',
  urgency: '紧急程度',
  confidentialityPeriod: '保密期限',
  tags: '主题词',
  printNumber: '打印份数',
};
